Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Settings

    java.lang.Object
      igeo.io.IRhino3dm.Settings

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Settings

extends java.lang.Object

Nested Class Summary
`static class` | `IRhino3dm.Settings.AnnotationSettings`
`static class` | `IRhino3dm.Settings.ConstractionPlane`
`static class` | `IRhino3dm.Settings.ConstructionPlaneGridDefaults`
`static class` | `IRhino3dm.Settings.EarthAnchorPoint`
`static class` | `IRhino3dm.Settings.IOSettings`
`static class` | `IRhino3dm.Settings.PageSettings`
`static class` | `IRhino3dm.Settings.RenderSettings`
`static class` | `IRhino3dm.Settings.ViewPosition`
`static class` | `IRhino3dm.Settings.ViewSettings`
`static class` | `IRhino3dm.Settings.ViewTraceImage`
`static class` | `IRhino3dm.Settings.WallPaperImage`

Field Summary
`IRhino3dm.UnitsAndTolerances` | `pageUnitsAndTolerances`
`IRhino3dm.UnitsAndTolerances` | `unitsAndTolerances`

Constructor Summary
`IRhino3dm.Settings()`
`IRhino3dm.Settings(IServerI serv)`

Method Summary
`void` | `setAnalysisMesh(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setAnnotation(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setAttributes(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setCurrentColor(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setCurrentDimStyleIndex(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setCurrentFontIndex(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setCurrentLayerIndex(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setCurrentMaterialIndex(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setCurrentWireDensity(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setGridDefaults(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setModelURL(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setNamedCPlaneList(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setNamedViewList(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setPluginList(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setRender(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setRenderMesh(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setUnitsAndTols(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`
`void` | `setViewList(IRhino3dm.Rhino3dmFile file, IRhino3dm.Chunk c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unitsAndTolerances

    public IRhino3dm.UnitsAndTolerances unitsAndTolerances

### pageUnitsAndTolerances

    public IRhino3dm.UnitsAndTolerances pageUnitsAndTolerances

Constructor Detail

### IRhino3dm.Settings

    public IRhino3dm.Settings()

### IRhino3dm.Settings

    public IRhino3dm.Settings(IServerI serv)

Method Detail

### setPluginList

    public void setPluginList(IRhino3dm.Rhino3dmFile file,
                              IRhino3dm.Chunk c)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setUnitsAndTols

    public void setUnitsAndTols(IRhino3dm.Rhino3dmFile file,
                                IRhino3dm.Chunk c)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### setRenderMesh

    public void setRenderMesh(IRhino3dm.Rhino3dmFile file,
                              IRhino3dm.Chunk c)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setAnalysisMesh

    public void setAnalysisMesh(IRhino3dm.Rhino3dmFile file,
                                IRhino3dm.Chunk c)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### setAnnotation

    public void setAnnotation(IRhino3dm.Rhino3dmFile file,
                              IRhino3dm.Chunk c)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setNamedCPlaneList

    public void setNamedCPlaneList(IRhino3dm.Rhino3dmFile file,
                                   IRhino3dm.Chunk c)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### setNamedViewList

    public void setNamedViewList(IRhino3dm.Rhino3dmFile file,
                                 IRhino3dm.Chunk c)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### setViewList

    public void setViewList(IRhino3dm.Rhino3dmFile file,
                            IRhino3dm.Chunk c)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentLayerIndex

    public void setCurrentLayerIndex(IRhino3dm.Rhino3dmFile file,
                                     IRhino3dm.Chunk c)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentFontIndex

    public void setCurrentFontIndex(IRhino3dm.Rhino3dmFile file,
                                    IRhino3dm.Chunk c)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentDimStyleIndex

    public void setCurrentDimStyleIndex(IRhino3dm.Rhino3dmFile file,
                                        IRhino3dm.Chunk c)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentMaterialIndex

    public void setCurrentMaterialIndex(IRhino3dm.Rhino3dmFile file,
                                        IRhino3dm.Chunk c)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentColor

    public void setCurrentColor(IRhino3dm.Rhino3dmFile file,
                                IRhino3dm.Chunk c)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentWireDensity

    public void setCurrentWireDensity(IRhino3dm.Rhino3dmFile file,
                                      IRhino3dm.Chunk c)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setRender

    public void setRender(IRhino3dm.Rhino3dmFile file,
                          IRhino3dm.Chunk c)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setGridDefaults

    public void setGridDefaults(IRhino3dm.Rhino3dmFile file,
                                IRhino3dm.Chunk c)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### setModelURL

    public void setModelURL(IRhino3dm.Rhino3dmFile file,
                            IRhino3dm.Chunk c)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### setAttributes

    public void setAttributes(IRhino3dm.Rhino3dmFile file,
                              IRhino3dm.Chunk c)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD